<?php

return [
  'debug' => true,
  'smartypants' => true,
  'locale' => 'fr_FR.utf-8',
  'date'  => [
    'handler' => 'intl'
  ],
  'api' => [
    'basicAuth' => true,
    // Enable api access without SSL. To disable in production.
    'allowInsecure' => true
  ],
  'panel' => [
    'language' => 'fr',
    'css' => 'assets/css/panel.css',
    'favicon' => 'assets/favicons/favicon.svg',
    'menu' => require(__DIR__ . '/menu.php'),
  ],
  'routes' => [
    require(__DIR__ . '/routes/logout.php'),
    require(__DIR__ . '/routes/toggle-favorite.php'),
    require(__DIR__ . '/routes/upload-images.php')
  ],
  'hooks' => [
    'page.create:after' => require_once(__DIR__ . '/hooks/create-steps.php'),
    'page.delete:before' => require_once(__DIR__ . '/hooks/delete-steps.php'),
  ]
];
